{% extends 'base.html.twig' %}

{% block body %}
    <div id="detailPage" class="col_lg-6 col-lg-offset-6">
        <h1>Detalles</h1>
        <div id="content" class="{% if segment == 'edit'%}editMode{% else %}viewMode{% endif %}">
            <div class="col_lg-12"><div class="col_lg-3"><h4 class="">Título:</h4></div><div class="col_lg-3"><input class="" type="text" id="title" value="{{book.title}}"></div></div>
            <div class="col_lg-12"><div class="col_lg-3"><h4 class="">Autor:</h4></div><div class="col_lg-3"><input class="" type="text" id="author" value="{{book.author}}"></div></div>
            <div class="col_lg-12"><div class="col_lg-3"><h4 class="">Año:</h4></div><div class="col_lg-3"><input class="" type="text" id="year" value="{{book.year}}"></div></div>
            <div class="col_lg-12"><div class="col_lg-3"><h4 class="">ISBN:</h4></div><div class="col_lg-3"><input class="" type="text" id="isbn" value="{{book.isbn}}"></div></div>
            <div class="col_lg-12"><div class="col_lg-3"><h4 class="">Edad mínima recomendada:</h4></div><div class="col_lg-3"><input class="" type="text" id="ageRate" value="{% if bookInfo.ageRate == '0'%}TP{% else %}{{bookInfo.ageRate}}{% endif %}"></div></div>
            <div class="col_lg-12"><div class="col_lg-3"><h4 class="">Número de páginas:</h4></div><div class="col_lg-3"><input class="" type="text" id="pageCount" value="{{bookInfo.pageCount}}"></div></div>
            <input type="button" id="back" value="Volver"><input type="button" id="edit" value="Editar"><input type="hidden" id="id" value="{{book.id}}">{% if segment == 'edit'%}<input type="button" id="save" value="Guardar"></form>{% endif %}
        </div>
    </div>

{% endblock %}
{% block javascripts %}
    <script>
        $(document).ready(function(){
           $('#back').on('click',function(){
               location.replace(location.origin+'/list');
           });
           $('#edit').on('click',function(){
{#               console.log($('#id').val());#}
               location.replace(location.origin+'/edit/'+$('#id').val());
           });
           if($('#content').attr('class')==='editMode'){
                $('#save').on('click',function(){
                    var id = $('#id').val();
                    var title = $('#title').val();
                    var author = $('#author').val();
                    var year = $('#year').val();
                    var isbn = $('#isbn').val();
                    var ageRate = $('#ageRate').val();
                    var pageCount = $('#pageCount').val();
                    console.log(id);
                    $.ajax({
                        url:'/persist',
                        type: 'POST',
                        dataType: 'json',
                        data:{
                            'id':id,
                            'title':title,
                            'author':author,
                            'year':year,
                            'isbn':isbn,
                            'ageRate':ageRate,
                            'pageCount':pageCount
                        },
                        success: function (response) {
                            location.replace(location.origin+'/view/'+$('#id').val());
                        },
                        error: function(errorThrown){

                            }
                    });

                });
           }else{
               $('input').attr('readonly', true);
           }
           
        });
        
    </script>
{% endblock %}
{% block stylesheets %}
    
{% endblock %}
